FoxDot\.lib package
===================

Subpackages
-----------

.. toctree::

    FoxDot.lib.Code
    FoxDot.lib.GhostCoder
    FoxDot.lib.Patterns
    FoxDot.lib.SCLang
    FoxDot.lib.Settings
    FoxDot.lib.Utils
    FoxDot.lib.Workspace

Submodules
----------

FoxDot\.lib\.Bang module
------------------------

.. automodule:: FoxDot.lib.Bang
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Buffers module
---------------------------

.. automodule:: FoxDot.lib.Buffers
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Constants module
-----------------------------

.. automodule:: FoxDot.lib.Constants
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Effects module
---------------------------

.. automodule:: FoxDot.lib.Effects
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Key module
-----------------------

.. automodule:: FoxDot.lib.Key
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Logging module
---------------------------

.. automodule:: FoxDot.lib.Logging
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Midi module
------------------------

.. automodule:: FoxDot.lib.Midi
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.OSC module
-----------------------

# TODO: Fixme

#.. automodule:: FoxDot.lib.OSC
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.OSC3 module
------------------------

# TODO: Fixme

#.. automodule:: FoxDot.lib.OSC3
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Players module
---------------------------

.. automodule:: FoxDot.lib.Players
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Repeat module
--------------------------

.. automodule:: FoxDot.lib.Repeat
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Root module
------------------------

.. automodule:: FoxDot.lib.Root
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.Scale module
-------------------------

.. automodule:: FoxDot.lib.Scale
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.ServerManager module
---------------------------------

.. automodule:: FoxDot.lib.ServerManager
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.TempoClock module
------------------------------

.. automodule:: FoxDot.lib.TempoClock
    :members:
    :undoc-members:
    :show-inheritance:

FoxDot\.lib\.TimeVar module
---------------------------

.. automodule:: FoxDot.lib.TimeVar
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: FoxDot.lib
    :members:
    :undoc-members:
    :show-inheritance:
